<!-- <mat-vertical-stepper [linear]="isLinear" #stepper class="card-connection-form" *ngIf="showConnection"> -->
<mat-vertical-stepper [linear]="isLinear" #stepper class="card-connection-form">
  <mat-step [stepControl]="firstFormGroup">
    <form #newConnection="ngForm">
      <ng-template matStepLabel>Make a new connection
        <img [src]="connectionImage" />
      </ng-template>

      <div class="card-container m-t-10">
        <mat-card class="connection-card text-center cursur-pointer">
          <div class="card-box" (click)="ZohoAuth()">
            <img src="../../assets/images/zoho-img.png" class="img-resposive" />
            <p class="f-14 m-t-10 f-darkGray">Zoho</p>
          </div>
        </mat-card>
        <mat-card class="connection-card text-center cursur-pointer">
          <div class="card-box" (click)="AmazonAuth()">
            <img src="../../assets/images/amazon-logo.png" class="img-resposive" />
            <p class="f-14 m-t-10 f-darkGray">Amazon</p>
          </div>
        </mat-card>
        <mat-card class="connection-card text-center not-allowed">
          <div class="card-box">
            <!-- <span id="cwppButton" #cwppButtonOnConnection> </span> -->
            <img src="../../../assets/images/paypal-text-logo.png" alt="">
            <p class="f-14 m-t-10 f-darkGray">(comming soon...)</p>
          </div>
        </mat-card>
        <mat-card class="connection-card text-center not-allowed">
          <div class="card-box">
            <img src="../../assets/images/google-sheet.png" class="img-resposive" />
            <p class="f-14 m-t-10 f-darkGray">(comming soon...)</p>
          </div>
        </mat-card>
      </div>
      <div class="row">
        <div class="col-md-5">
          <mat-form-field appearance="outline">
            <mat-label> Mapping name</mat-label>
            <input type="text" matInput required name="txtMappingName" [(ngModel)]="MappingName"
              #txtMappingName="ngModel" (blur)="CheckMappingName()" />
            <mat-error *ngIf="!MappingName && txtMappingName.touched">Please enter mapping name</mat-error>
          </mat-form-field>
          <mat-error *ngIf="!ValidMappingName">Mapping name already exits</mat-error>
        </div>
      </div>

      <div *ngIf="isQboNotConnectedError">
        <div class="m-t-10 display-block f-18 ">Quickbook Connections</div>
        <div class="m-t-10 m-b-20 display-block">
          <p class="text-danger">You are not connected to Quickbook <br />
            please connect to Quickbook and then continue with following steps <br />
            <a [routerLink]="['/connect-to-quickbook']"> click here to connect to Quickbook.</a>
          </p>
        </div>
      </div>

      <div class="m-t-10 display-block f-18 ">Available Connections</div>
      <mat-radio-group name="radioOpt1" (change)="radioChange($event)" [(ngModel)]="selectedConnection">
        <mat-radio-button class="m-t-10 display-block" *ngFor="let con of AllConnectionsResponse" [value]="con">
          <span *ngIf="con.connectionType === 'PayPal'">PayPal - with user Id <b>{{ con.id }}</b> </span>
          <span *ngIf="con.connectionType === 'Amazon'">Amazon - with User Id <b>{{ con.connectionName }} </b></span>
          <span *ngIf="con.connectionType === 'Zoho'">Zoho - with Connection Name <b>'{{ con.connectionName }}'</b> </span>
        </mat-radio-button>
      </mat-radio-group>

      <div class="text-center m-t-40">
        <button mat-raised-button color="primary" (click)="CallSecondStep()" class="default">Next</button>
      </div>
    </form>
  </mat-step>

  <mat-step [stepControl]="secondFormGroup">
    <form [formGroup]="secondFormGroup">
      <ng-template matStepLabel>When event i am listening for? </ng-template>
      <div class="p-t-20">
        <img class="m-r-15" [src]="connectionImage" />
        <span class="vertical-middle m-r-15 f-18">When a</span>
        <mat-form-field class=" m-r-15" style="width:200px;display:inline-block;">
          <mat-select #clientValue (selectionChange)="changeConType($event.value)">
            <mat-option *ngFor="let connectiontranstypes of conTransType" [value]="connectiontranstypes">
              {{ connectiontranstypes.transType }}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <span class="vertical-middle m-r-15 f-18">occurs then in</span>
        <img src="../../assets/images/qb_logo.png" class="m-r-15" />
        <span class="vertical-middle m-r-15 f-18">create a</span>
        <mat-form-field class=" m-r-15" style="width:200px;display:inline-block;">
          <mat-select #clientValue (selectionChange)="changeTransType($event.value)">
            <mat-option *ngFor="let qbotranstype of qboTransTypes" [value]="qbotranstype">{{ qbotranstype.name }}
            </mat-option>
          </mat-select>
        </mat-form-field>

        <div class="text-center m-t-40">
          <button class="default m-r-15" mat-raised-button matStepperPrevious color="primary">Back </button>
          <button class="default" mat-raised-button color="primary" (click)="CallThirdStep()"> Next </button>
        </div>
      </div>
    </form>
  </mat-step>

  <mat-step>
    <ng-template matStepLabel>When that happens i will...</ng-template>
    <app-mapping-form *ngIf="showGrid" (GotoStepper)="onStepperChange($event)"></app-mapping-form>
  </mat-step>

  <mat-step>
    <ng-template matStepLabel>Lets test it and save it</ng-template>
    <app-fourth-step-connection></app-fourth-step-connection>
    <div class="text-center m-t-40">
      <button mat-button matStepperPrevious mat-raised-button class="default m-r-15" color="primary"> Back </button>
      <button mat-button mat-raised-button class="default m-r-15" color="primary" (click)="stepper.reset()"> Reset
      </button>
      <button mat-button mat-raised-button class="default" color="primary" [disabled]="!isInvoiceLoaded()"
        (click)="ImportSummary()"> Import to Quickbook </button>
    </div>
  </mat-step>
</mat-vertical-stepper>